import request from '@/utils/request'
import { BASE } from './apiGateway'

var apiList = {
  doctorInfo(params) {
    return request({
      url: `${BASE}/doctor/doctorInfo`,
      method: 'get',
      params
    })
  },

  doctorPage(params) {
    return request({
      url: `${BASE}/doctor/doctorPage`,
      method: 'GET',
      params
    })
  },
  
  patientCount(params) {
    return request({
      url: `${BASE}/doctor/patientCount`,
      method: 'GET',
      params
    })
  },

  updateDoctor(data) {
    return request({
      url: `${BASE}/doctor/updateDoctor`,
      method: 'POST',
      data
    })
  },
}

export default apiList
